Bug 1301288 - An existing 'rpc' user is removed during the installation of rpcbind without any messages
An existing 'rpc' user is removed during the installation of rpcbind without ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On: 1300533 1321279
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 11:41 EST by Steve Dickson
Modified: 2016-04-14 00:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: rpcbind-0.2.3-7.rc1.fc23 rpcbind-0.2.3-10.rc1.fc24 rpcbind-0.2.3-7.rc1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1300533
Environment:
Last Closed: 2016-04-06 13:20:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2016-01-23 11:41:26 EST
+++ This bug was initially created as a clone of Bug #1300533 +++

Description of problem:

A customer had a 'rpc' user (not UID=32) on the system, but the existing 'rpc' user was deleted by the installation of rpcbind package without any message.

We found a fedora documentation about packaging, and it says that any user account should not be deleted during the package installation.

https://fedoraproject.org/wiki/Packaging:UsersAndGroups?rd=Packaging/UsersAndGroups

In rpcbind.spec:
----------------------------------
%pre

# Check the validity of the rpc uid and gid.
# If they don't exist, create them
# If they exist but are the wrong value, remove them 
#   and recreate them with the correct value
# If they exist and are the correct value do nothing
rpcid=`getent passwd rpc | cut -d: -f 3`
if [ -n "$rpcid" -a "$rpcid" != "32" ]; then
        /usr/sbin/userdel  rpc 2> /dev/null || :
        /usr/sbin/groupdel rpc 2> /dev/null || :
fi
if [ -z "$rpcid" -o "$rpcid" != "32" ]; then
        /usr/sbin/groupadd -o -g 32 rpc > /dev/null 2>&1
        /usr/sbin/useradd -o -l -c "Rpcbind Daemon" -d /var/cache/rpcbind -g 32 \
        -M -s /sbin/nologin -u 32 rpc > /dev/null 2>&1
fi
----------------------------------

It forces to have the 'rpc' account with UID=32. If the UID is not 32, it removes it and create another 'rpc' account with UID=32.

If the above fedora documentation is correct, it should not remove the existing 'rpc' account during the installation. 

As an example of another package, 'httpd' also creates a user account 'apache'.
But, if the user account 'apache' exists, it never remove the existing account.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6
Comment 1 Fedora Update System 2016-04-04 14:46:01 EDT
rpcbind-0.2.3-7.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-75dc53023b
Comment 2 Fedora Update System 2016-04-04 14:46:11 EDT
rpcbind-0.2.3-7.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3ead06088
Comment 3 Fedora Update System 2016-04-04 14:46:19 EDT
rpcbind-0.2.3-10.rc1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-27a8e7dc2e
Comment 4 Fedora Update System 2016-04-05 11:22:13 EDT
rpcbind-0.2.3-7.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-75dc53023b
Comment 5 Fedora Update System 2016-04-05 11:53:41 EDT
rpcbind-0.2.3-7.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3ead06088
Comment 6 Fedora Update System 2016-04-05 15:22:39 EDT
rpcbind-0.2.3-10.rc1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-27a8e7dc2e
Comment 7 Fedora Update System 2016-04-06 13:20:18 EDT
rpcbind-0.2.3-7.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-04-08 13:01:17 EDT
rpcbind-0.2.3-10.rc1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-14 00:22:50 EDT
rpcbind-0.2.3-7.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.